subset.rsk {oce} | R Documentation

## Subset a rsk object

### Description

Subset a rsk object

### Usage

    ## S4 method for signature 'rsk'
    subset(x, subset, ...)

### Arguments

`x` | a `rsk` object.
`subset` | a condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | ignored.

### Details

This function is somewhat analogous to `subset.data.frame`, but subsetting is only permitted by time.

### Value

A new `rsk` object.

### Author(s)

Dan Kelley

### Examples

    library(oce)
    data(rsk)
    plot(rsk)
    plot(subset(rsk, time < mean(range(rsk[['time']]))))

[Package oce version 0.9-18 Index]